import { jsx, Fragment } from "react/jsx-runtime";
import { Dropdown as Dropdown$1 } from "@netlify/ui";
import { forwardRef, useMemo } from "react";
const getInitialSelectedOption = (options, initial) => {
  if (typeof initial === "number") {
    return options[initial];
  }
  if (typeof initial === "object") {
    return initial;
  }
  return options[0];
};
const Dropdown = forwardRef(function Dropdown2({
  initialSelectedOption: originalInitialSelectedOption,
  onChange,
  options: originalOptions = [],
  selectedOptionIndicator: selectedItemIndicator,
  ...otherProps
}, ref) {
  const options = useMemo(
    () => originalOptions.map(
      (option) => option.label === "" ? { ...option, label: /* @__PURE__ */ jsx(Fragment, { children: " " }) } : option
    ),
    [originalOptions]
  );
  return /* @__PURE__ */ jsx(
    Dropdown$1,
    {
      ref,
      initialSelectedItem: getInitialSelectedOption(
        options,
        originalInitialSelectedOption
      ),
      items: options,
      noCheck: selectedItemIndicator === null,
      onSelect: onChange,
      ...otherProps
    }
  );
});
export {
  Dropdown,
  getInitialSelectedOption
};
//# sourceMappingURL=Dropdown.js.map
